---
title: Restart
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/management/restart
description: Restart your Vultr VX1™ Cloud Compute instance through the Vultr Console or API to reinitialize the system without affecting stored data.
publish_date: 2025-11-19T14:41:17.214061Z
last_updated: 2026-05-26T18:52:46.363019Z
---

# How to Restart a Vultr VX1™ Cloud Compute Instance

Restarting an instance performs a hard reboot that stops all running processes and reinitializes the operating system. This action does not affect the instance’s data or file system. Restarting is useful for applying system updates, configuration changes, or recovering from temporary service issues.

Follow this guide to restart a Vultr VX1™ Cloud Compute instance using the Vultr Console, or API.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open its management page.
    1. Click **Server Restart** on the top-right navigation menu to restart your server.
    1. Click **Restart Server** in the confirmation prompt to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reboot Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/reboot-instances) to restart the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/reboot" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_ids" : [
              "instance_id"
            ]
          }'
        ```

        If successful, you receive a 200 HTTP response.

